﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace wpf_Sparkline_633709
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = this.GetData();
        }

        private List<PlotInfo> GetData()
        {
            List<PlotInfo> data = new List<PlotInfo>() 
            {
                new PlotInfo { Date = new DateTime(2012, 1, 1), Val = 0 },
                new PlotInfo { Date = new DateTime(2012, 1, 2), Val = 1076 },
                new PlotInfo { Date = new DateTime(2012, 1, 3), Val = 1134 },
                new PlotInfo { Date = new DateTime(2012, 1, 4), Val = 1253 },
                new PlotInfo { Date = new DateTime(2012, 1, 5), Val = 783 },
                new PlotInfo { Date = new DateTime(2012, 1, 6), Val = 816 },
                new PlotInfo { Date = new DateTime(2012, 1, 7), Val = 0 },
                new PlotInfo { Date = new DateTime(2012, 1, 8), Val = 0 },
                new PlotInfo { Date = new DateTime(2012, 1, 9), Val = 504 },
                new PlotInfo { Date = new DateTime(2012, 1, 10), Val = 468 },
                new PlotInfo { Date = new DateTime(2012, 1, 11), Val = 500 },
                new PlotInfo { Date = new DateTime(2012, 1, 12), Val = 505 },
                new PlotInfo { Date = new DateTime(2012, 1, 13), Val = 9484 },
                new PlotInfo { Date = new DateTime(2012, 1, 14), Val = 0 },
                new PlotInfo { Date = new DateTime(2012, 1, 15), Val = 0 },
                new PlotInfo { Date = new DateTime(2012, 1, 16), Val = 127 },
                new PlotInfo { Date = new DateTime(2012, 1, 17), Val = 76 },
                new PlotInfo { Date = new DateTime(2012, 1, 18), Val = 87 },
                new PlotInfo { Date = new DateTime(2012, 1, 19), Val = 102 },
                new PlotInfo { Date = new DateTime(2012, 1, 20), Val = 74 },
                new PlotInfo { Date = new DateTime(2012, 1, 21), Val = 0 },
                new PlotInfo { Date = new DateTime(2012, 1, 22), Val = 0 },
                new PlotInfo { Date = new DateTime(2012, 1, 23), Val = 81 },
            };

            return data;
        }
    }

    public class PlotInfo
    {
        public DateTime Date { get; set; }
        public double Val { get; set; }
    }
}
